ICarbideSharedImages (Carbide.c++ SDK API Reference)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.ui
Interface ICarbideSharedImages

        public interface ICarbideSharedImages

Images provided by the Carbide.c++ UI Plugin. Images are accessed by the String keys defined in this class. The dimensions are encoded into the end of the key, e.g. IMAGE_EXAMPLE_X_Y is X pixels horizontal by Y pixels vertical.
The Javadoc for each image key includes the plugin-relative path to the image file. The image files can be referenced via these paths.
For example, to reference an image from an HTML help file use a statement like:
<img src="PLUGINS_ROOT/com.nokia.carbide.cpp.ui/icons/Carbide_c_icon_16x16.png"/>

Field Summary
`static java.lang.String` | `IMG_ADD_IMAGE_FILE_16_16` File path: icons/Add_Image_file.png
`static java.lang.String` | `IMG_ADD_MMP_FILE_16_16` File path: icons/Add_MMP_Definition_file.png
`static java.lang.String` | `IMG_AIF_FILE_16_16` File path: icons/AIF_Definition_file.png
`static java.lang.String` | `IMG_APPLICATION_BADGE_32_32` File path: icons/Application_badge.png
`static java.lang.String` | `IMG_BLD_INF_16_16` File path: icons/
`static java.lang.String` | `IMG_BLD_INF_MMP_55_45` File path: icons/Symbian_OS_Bld_inf_MMP_file.png
`static java.lang.String` | `IMG_BUILD_ALL_16_16` File path: icons/Bld_inf_Definition_file.png
`static java.lang.String` | `IMG_BUILD_ALL_24_24` File path: icons/Build_All_Targets_24x24.png
`static java.lang.String` | `IMG_BUILD_SYMBIAN_COMPONENT` File path: icons/Build_Symbian_Component.png
`static java.lang.String` | `IMG_CARBIDE_C_ICON_16_16` File path: icons/Carbide_c_icon_16x16.png
`static java.lang.String` | `IMG_CARBIDE_CPP_PERSPECTIVE_16_16` File path: icons/Carbide_C_C++_perspective.png
`static java.lang.String` | `IMG_COMPILER_OPTIONS_16_16` File path: icons/
`static java.lang.String` | `IMG_CUSTOM_TRACE_BADGE_24_24` File path: icons/Compiler_Options.png
`static java.lang.String` | `IMG_EXAMPLES_16_16` File path: icons/Examples_16x16.png
`static java.lang.String` | `IMG_EXAMPLES_16_16_32_32` File path: icons/Examples_32x32.png
`static java.lang.String` | `IMG_EXAMPLES_24_24` File path: icons/Examples_24x24.png
`static java.lang.String` | `IMG_EXAMPLES_48_48` File path: icons/Examples_48x48.png
`static java.lang.String` | `IMG_EXAMPLES_72_72` File path: icons/Examples_72x72.png
`static java.lang.String` | `IMG_FILTER_16_16` File path: icons/Filter.png
`static java.lang.String` | `IMG_FREEZE_EXPORTS_16_16` File path: icons/Freeze_Exports_16x16.png
`static java.lang.String` | `IMG_FREEZE_EXPORTS_24_24` File path: icons/Freeze_Exports_24x24.png
`static java.lang.String` | `IMG_IMPORT_BLDINF_WIZARD_BANNER` File path: icons/Import_BldInf_wizard_banner.png
`static java.lang.String` | `IMG_IMPORT_SOS_EXE_WIZARD_BANNER` File path: icons/Import_SOS_Exe_wizard_banner.png
`static java.lang.String` | `IMG_LANGUAGES_16_16` File path: icons/Languages.png
`static java.lang.String` | `IMG_LEAVESCAN_16_16` File path: icons/Run_Leavescan.png
`static java.lang.String` | `IMG_MACROS_16_16` File path: icons/Macros.png
`static java.lang.String` | `IMG_MBM_FILE_16_16` File path: icons/MBM_Definition_file.png
`static java.lang.String` | `IMG_MBM_MIF_AIF_EDITOR_16_16` File path: icons/MBM_MIF_AIF_Editor.png
`static java.lang.String` | `IMG_MIF_FILE_16_16` File path: icons/MIF_Definition_file.png
`static java.lang.String` | `IMG_MMP_FILE_16_16` File path: icons/MMP_Definition_file.png
`static java.lang.String` | `IMG_NEW_CARBIDE_PROJECT_16_16` File path: icons/New_Symbian_OS_C++_Project_16x16.png
`static java.lang.String` | `IMG_NEW_CARBIDE_PROJECT_55_45` File path: icons/New_Symbian_OS_C++_Project_55x45.png
`static java.lang.String` | `IMG_NEW_CARBIDE_PROJECT_WIZARD_BANNER` File path: icons/New_Symbian_OS_C++_Project_wizard_banner.png
`static java.lang.String` | `IMG_NEW_LAUNCH_CONFIG_WIZARD_BANNER` File path: icons/New_Launch_Config_wizard_banner.png
`static java.lang.String` | `IMG_NEW_MMP_FILE_WIZARD_BANNER` File path: icons/New_MMP_file_wizard_banner.png
`static java.lang.String` | `IMG_NEW_PROJECT_16_16` File path: icons/New_Project.png
`static java.lang.String` | `IMG_NEW_SOS_CLASS_WIZARD_BANNER` File path: icons/New_Symbian_OS_Class_wizard_banner.png
`static java.lang.String` | `IMG_NEW_SYMBIAN_CLASS_16_16` File path: icons/_New_Symbian_S_Class_16x16.png
`static java.lang.String` | `IMG_NEW_SYMBIAN_CLASS_55_45` File path: icons/New_Symbian_OS_Class_55x45.png
`static java.lang.String` | `IMG_NEW_UI_DESIGN_WIZARD_BANNER` File path: icons/New_UI_Design_wizard_banner.png
`static java.lang.String` | `IMG_PHONE_ROM_BADGE_32_32` File path: icons/Phone_ROM_badge.png
`static java.lang.String` | `IMG_PI_IMPORT_APP_42_42` File path: icons/PI_Import_APP_42x42.png
`static java.lang.String` | `IMG_PI_IMPORT_NONE_100_42` File path: icons/PI_Import_NONE_42x42.png
`static java.lang.String` | `IMG_PI_IMPORT_ROM_42_42` File path: icons/PI_Import_ROM_42x42.png
`static java.lang.String` | `IMG_PI_IMPORT_ROM_AND_APP_100_42` File path: icons/
`static java.lang.String` | `IMG_PI_IMPORT_WIZARD_BANNER_75_66` File path: icons/PI_Import_ROM_AND_APP_100x42.png
`static java.lang.String` | `IMG_PI_METER_16_16` File path: icons/PI_Meter_16x16.png
`static java.lang.String` | `IMG_PI_METER_20_20` File path: icons/PI_Meter_20x20.png
`static java.lang.String` | `IMG_PI_PHONE_ROM_FILE_16_20` File path: icons/PI_Application_16x20.png
`static java.lang.String` | `IMG_PI_PHONE_ROM_FILE_20_20` File path: icons/PI_Application_20x20.png
`static java.lang.String` | `IMG_PI_PHONE_ROM_FILE_42_42` File path: icons/PI_Application_42x42.png
`static java.lang.String` | `IMG_PI_PHONE_ROM_FILE_64_64` File path: icons/PI_Application_64x64.png
`static java.lang.String` | `IMG_RESOURCE_LIST_16_16` File path: icons/Resource_List.png
`static java.lang.String` | `IMG_ROM_IMAGE_16_16` File path: icons/ROM_Image.png
`static java.lang.String` | `IMG_ROM_LOG_16_16` File path: icons/ROM_Log.png
`static java.lang.String` | `IMG_START_RESOURCE_BLOCK_16_16` File path: icons/Start_Resource_Block.png
`static java.lang.String` | `IMG_SYMBIAN_CPP_CLASS_16_16` File path: icons/Symbian_OS_C++_Class.png
`static java.lang.String` | `IMG_SYMBIAN_CPP_PROJECT_16_16` File path: icons/Symbian_OS_C++_Project.png
`static java.lang.String` | `IMG_SYSTEM_INCLUDES_16_16` File path: icons/System_Includes.png
`static java.lang.String` | `IMG_SYSTEM_RESOURCE_LIST_16_16` File path: icons/System_Resource_List.png
`static java.lang.String` | `IMG_TRK_16_20` File path: icons/TRK_Debug_Agent_16x20.png
`static java.lang.String` | `IMG_TRK_20_20` File path: icons/TRK_Debug_Agent_20x20.png
`static java.lang.String` | `IMG_TRK_42_42` File path: icons/TRK_Debug_Agent_42x42.png
`static java.lang.String` | `IMG_TRK_64_64` File path: icons/TRK_Debug_Agent_64x64.png
`static java.lang.String` | `IMG_TRK_MASK_16_20` File path: icons/TRK_Debug_Agent_16x20_Mask.png
`static java.lang.String` | `IMG_TRK_MASK_20_20` File path: icons/TRK_Debug_Agent_20x20_Mask.png
`static java.lang.String` | `IMG_TRK_MASK_42_42` File path: icons/TRK_Debug_Agent_42x42_Mask.png
`static java.lang.String` | `IMG_TRK_MASK_64_64` File path: icons/TRK_Debug_Agent_64x64_Mask.png
`static java.lang.String` | `IMG_UPDATE_PROJECT_16_16` File path: icons/Update_Project.png
`static java.lang.String` | `IMG_USER_INCLUDES_16_16` File path: icons/User_Includes.png

Method Summary
`Image` | `getImage(java.lang.String key)` Access to a shared image object, do not dispose of these images.
`ImageDescriptor` | `getImageDescriptor(java.lang.String key)` Access to a shared image descriptor.

Field Detail

### IMG_NEW_SYMBIAN_CLASS_16_16

    static final java.lang.String IMG_NEW_SYMBIAN_CLASS_16_16

  File path: icons/_New_Symbian_S_Class_16x16.png
  See Also:
    Constant Field Values

### IMG_NEW_SYMBIAN_CLASS_55_45

    static final java.lang.String IMG_NEW_SYMBIAN_CLASS_55_45

  File path: icons/New_Symbian_OS_Class_55x45.png
  See Also:
    Constant Field Values

### IMG_ADD_IMAGE_FILE_16_16

    static final java.lang.String IMG_ADD_IMAGE_FILE_16_16

  File path: icons/Add_Image_file.png
  See Also:
    Constant Field Values

### IMG_ADD_MMP_FILE_16_16

    static final java.lang.String IMG_ADD_MMP_FILE_16_16

  File path: icons/Add_MMP_Definition_file.png
  See Also:
    Constant Field Values

### IMG_AIF_FILE_16_16

    static final java.lang.String IMG_AIF_FILE_16_16

  File path: icons/AIF_Definition_file.png
  See Also:
    Constant Field Values

### IMG_APPLICATION_BADGE_32_32

    static final java.lang.String IMG_APPLICATION_BADGE_32_32

  File path: icons/Application_badge.png
  See Also:
    Constant Field Values

### IMG_BLD_INF_16_16

    static final java.lang.String IMG_BLD_INF_16_16

  File path: icons/
  See Also:
    Constant Field Values

### IMG_BUILD_ALL_16_16

    static final java.lang.String IMG_BUILD_ALL_16_16

  File path: icons/Bld_inf_Definition_file.png
  See Also:
    Constant Field Values

### IMG_BUILD_ALL_24_24

    static final java.lang.String IMG_BUILD_ALL_24_24

  File path: icons/Build_All_Targets_24x24.png
  See Also:
    Constant Field Values

### IMG_BUILD_SYMBIAN_COMPONENT

    static final java.lang.String IMG_BUILD_SYMBIAN_COMPONENT

  File path: icons/Build_Symbian_Component.png
  See Also:
    Constant Field Values

### IMG_CARBIDE_C_ICON_16_16

    static final java.lang.String IMG_CARBIDE_C_ICON_16_16

  File path: icons/Carbide_c_icon_16x16.png
  See Also:
    Constant Field Values

### IMG_CARBIDE_CPP_PERSPECTIVE_16_16

    static final java.lang.String IMG_CARBIDE_CPP_PERSPECTIVE_16_16

  File path: icons/Carbide_C_C++_perspective.png
  See Also:
    Constant Field Values

### IMG_COMPILER_OPTIONS_16_16

    static final java.lang.String IMG_COMPILER_OPTIONS_16_16

  File path: icons/
  See Also:
    Constant Field Values

### IMG_CUSTOM_TRACE_BADGE_24_24

    static final java.lang.String IMG_CUSTOM_TRACE_BADGE_24_24

  File path: icons/Compiler_Options.png
  See Also:
    Constant Field Values

### IMG_EXAMPLES_16_16

    static final java.lang.String IMG_EXAMPLES_16_16

  File path: icons/Examples_16x16.png
  See Also:
    Constant Field Values

### IMG_EXAMPLES_24_24

    static final java.lang.String IMG_EXAMPLES_24_24

  File path: icons/Examples_24x24.png
  See Also:
    Constant Field Values

### IMG_EXAMPLES_16_16_32_32

    static final java.lang.String IMG_EXAMPLES_16_16_32_32

  File path: icons/Examples_32x32.png
  See Also:
    Constant Field Values

### IMG_EXAMPLES_48_48

    static final java.lang.String IMG_EXAMPLES_48_48

  File path: icons/Examples_48x48.png
  See Also:
    Constant Field Values

### IMG_EXAMPLES_72_72

    static final java.lang.String IMG_EXAMPLES_72_72

  File path: icons/Examples_72x72.png
  See Also:
    Constant Field Values

### IMG_FILTER_16_16

    static final java.lang.String IMG_FILTER_16_16

  File path: icons/Filter.png
  See Also:
    Constant Field Values

### IMG_FREEZE_EXPORTS_16_16

    static final java.lang.String IMG_FREEZE_EXPORTS_16_16

  File path: icons/Freeze_Exports_16x16.png
  See Also:
    Constant Field Values

### IMG_FREEZE_EXPORTS_24_24

    static final java.lang.String IMG_FREEZE_EXPORTS_24_24

  File path: icons/Freeze_Exports_24x24.png
  See Also:
    Constant Field Values

### IMG_IMPORT_BLDINF_WIZARD_BANNER

    static final java.lang.String IMG_IMPORT_BLDINF_WIZARD_BANNER

  File path: icons/Import_BldInf_wizard_banner.png
  See Also:
    Constant Field Values

### IMG_IMPORT_SOS_EXE_WIZARD_BANNER

    static final java.lang.String IMG_IMPORT_SOS_EXE_WIZARD_BANNER

  File path: icons/Import_SOS_Exe_wizard_banner.png
  See Also:
    Constant Field Values

### IMG_LANGUAGES_16_16

    static final java.lang.String IMG_LANGUAGES_16_16

  File path: icons/Languages.png
  See Also:
    Constant Field Values

### IMG_MACROS_16_16

    static final java.lang.String IMG_MACROS_16_16

  File path: icons/Macros.png
  See Also:
    Constant Field Values

### IMG_MBM_MIF_AIF_EDITOR_16_16

    static final java.lang.String IMG_MBM_MIF_AIF_EDITOR_16_16

  File path: icons/MBM_MIF_AIF_Editor.png
  See Also:
    Constant Field Values

### IMG_MIF_FILE_16_16

    static final java.lang.String IMG_MIF_FILE_16_16

  File path: icons/MIF_Definition_file.png
  See Also:
    Constant Field Values

### IMG_MMP_FILE_16_16

    static final java.lang.String IMG_MMP_FILE_16_16

  File path: icons/MMP_Definition_file.png
  See Also:
    Constant Field Values

### IMG_MBM_FILE_16_16

    static final java.lang.String IMG_MBM_FILE_16_16

  File path: icons/MBM_Definition_file.png
  See Also:
    Constant Field Values

### IMG_NEW_LAUNCH_CONFIG_WIZARD_BANNER

    static final java.lang.String IMG_NEW_LAUNCH_CONFIG_WIZARD_BANNER

  File path: icons/New_Launch_Config_wizard_banner.png
  See Also:
    Constant Field Values

### IMG_NEW_MMP_FILE_WIZARD_BANNER

    static final java.lang.String IMG_NEW_MMP_FILE_WIZARD_BANNER

  File path: icons/New_MMP_file_wizard_banner.png
  See Also:
    Constant Field Values

### IMG_NEW_PROJECT_16_16

    static final java.lang.String IMG_NEW_PROJECT_16_16

  File path: icons/New_Project.png
  See Also:
    Constant Field Values

### IMG_NEW_CARBIDE_PROJECT_16_16

    static final java.lang.String IMG_NEW_CARBIDE_PROJECT_16_16

  File path: icons/New_Symbian_OS_C++_Project_16x16.png
  See Also:
    Constant Field Values

### IMG_NEW_CARBIDE_PROJECT_55_45

    static final java.lang.String IMG_NEW_CARBIDE_PROJECT_55_45

  File path: icons/New_Symbian_OS_C++_Project_55x45.png
  See Also:
    Constant Field Values

### IMG_NEW_CARBIDE_PROJECT_WIZARD_BANNER

    static final java.lang.String IMG_NEW_CARBIDE_PROJECT_WIZARD_BANNER

  File path: icons/New_Symbian_OS_C++_Project_wizard_banner.png
  See Also:
    Constant Field Values

### IMG_NEW_SOS_CLASS_WIZARD_BANNER

    static final java.lang.String IMG_NEW_SOS_CLASS_WIZARD_BANNER

  File path: icons/New_Symbian_OS_Class_wizard_banner.png
  See Also:
    Constant Field Values

### IMG_NEW_UI_DESIGN_WIZARD_BANNER

    static final java.lang.String IMG_NEW_UI_DESIGN_WIZARD_BANNER

  File path: icons/New_UI_Design_wizard_banner.png
  See Also:
    Constant Field Values

### IMG_PHONE_ROM_BADGE_32_32

    static final java.lang.String IMG_PHONE_ROM_BADGE_32_32

  File path: icons/Phone_ROM_badge.png
  See Also:
    Constant Field Values

### IMG_PI_PHONE_ROM_FILE_16_20

    static final java.lang.String IMG_PI_PHONE_ROM_FILE_16_20

  File path: icons/PI_Application_16x20.png
  See Also:
    Constant Field Values

### IMG_PI_PHONE_ROM_FILE_20_20

    static final java.lang.String IMG_PI_PHONE_ROM_FILE_20_20

  File path: icons/PI_Application_20x20.png
  See Also:
    Constant Field Values

### IMG_PI_PHONE_ROM_FILE_42_42

    static final java.lang.String IMG_PI_PHONE_ROM_FILE_42_42

  File path: icons/PI_Application_42x42.png
  See Also:
    Constant Field Values

### IMG_PI_PHONE_ROM_FILE_64_64

    static final java.lang.String IMG_PI_PHONE_ROM_FILE_64_64

  File path: icons/PI_Application_64x64.png
  See Also:
    Constant Field Values

### IMG_PI_IMPORT_APP_42_42

    static final java.lang.String IMG_PI_IMPORT_APP_42_42

  File path: icons/PI_Import_APP_42x42.png
  See Also:
    Constant Field Values

### IMG_PI_IMPORT_ROM_42_42

    static final java.lang.String IMG_PI_IMPORT_ROM_42_42

  File path: icons/PI_Import_ROM_42x42.png
  See Also:
    Constant Field Values

### IMG_PI_IMPORT_NONE_100_42

    static final java.lang.String IMG_PI_IMPORT_NONE_100_42

  File path: icons/PI_Import_NONE_42x42.png
  See Also:
    Constant Field Values

### IMG_PI_METER_16_16

    static final java.lang.String IMG_PI_METER_16_16

  File path: icons/PI_Meter_16x16.png
  See Also:
    Constant Field Values

### IMG_PI_METER_20_20

    static final java.lang.String IMG_PI_METER_20_20

  File path: icons/PI_Meter_20x20.png
  See Also:
    Constant Field Values

### IMG_PI_IMPORT_ROM_AND_APP_100_42

    static final java.lang.String IMG_PI_IMPORT_ROM_AND_APP_100_42

  File path: icons/
  See Also:
    Constant Field Values

### IMG_PI_IMPORT_WIZARD_BANNER_75_66

    static final java.lang.String IMG_PI_IMPORT_WIZARD_BANNER_75_66

  File path: icons/PI_Import_ROM_AND_APP_100x42.png
  See Also:
    Constant Field Values

### IMG_RESOURCE_LIST_16_16

    static final java.lang.String IMG_RESOURCE_LIST_16_16

  File path: icons/Resource_List.png
  See Also:
    Constant Field Values

### IMG_ROM_IMAGE_16_16

    static final java.lang.String IMG_ROM_IMAGE_16_16

  File path: icons/ROM_Image.png
  See Also:
    Constant Field Values

### IMG_ROM_LOG_16_16

    static final java.lang.String IMG_ROM_LOG_16_16

  File path: icons/ROM_Log.png
  See Also:
    Constant Field Values

### IMG_LEAVESCAN_16_16

    static final java.lang.String IMG_LEAVESCAN_16_16

  File path: icons/Run_Leavescan.png
  See Also:
    Constant Field Values

### IMG_START_RESOURCE_BLOCK_16_16

    static final java.lang.String IMG_START_RESOURCE_BLOCK_16_16

  File path: icons/Start_Resource_Block.png
  See Also:
    Constant Field Values

### IMG_BLD_INF_MMP_55_45

    static final java.lang.String IMG_BLD_INF_MMP_55_45

  File path: icons/Symbian_OS_Bld_inf_MMP_file.png
  See Also:
    Constant Field Values

### IMG_SYMBIAN_CPP_CLASS_16_16

    static final java.lang.String IMG_SYMBIAN_CPP_CLASS_16_16

  File path: icons/Symbian_OS_C++_Class.png
  See Also:
    Constant Field Values

### IMG_SYMBIAN_CPP_PROJECT_16_16

    static final java.lang.String IMG_SYMBIAN_CPP_PROJECT_16_16

  File path: icons/Symbian_OS_C++_Project.png
  See Also:
    Constant Field Values

### IMG_SYSTEM_INCLUDES_16_16

    static final java.lang.String IMG_SYSTEM_INCLUDES_16_16

  File path: icons/System_Includes.png
  See Also:
    Constant Field Values

### IMG_SYSTEM_RESOURCE_LIST_16_16

    static final java.lang.String IMG_SYSTEM_RESOURCE_LIST_16_16

  File path: icons/System_Resource_List.png
  See Also:
    Constant Field Values

### IMG_TRK_MASK_16_20

    static final java.lang.String IMG_TRK_MASK_16_20

  File path: icons/TRK_Debug_Agent_16x20_Mask.png
  See Also:
    Constant Field Values

### IMG_TRK_16_20

    static final java.lang.String IMG_TRK_16_20

  File path: icons/TRK_Debug_Agent_16x20.png
  See Also:
    Constant Field Values

### IMG_TRK_MASK_20_20

    static final java.lang.String IMG_TRK_MASK_20_20

  File path: icons/TRK_Debug_Agent_20x20_Mask.png
  See Also:
    Constant Field Values

### IMG_TRK_20_20

    static final java.lang.String IMG_TRK_20_20

  File path: icons/TRK_Debug_Agent_20x20.png
  See Also:
    Constant Field Values

### IMG_TRK_MASK_42_42

    static final java.lang.String IMG_TRK_MASK_42_42

  File path: icons/TRK_Debug_Agent_42x42_Mask.png
  See Also:
    Constant Field Values

### IMG_TRK_42_42

    static final java.lang.String IMG_TRK_42_42

  File path: icons/TRK_Debug_Agent_42x42.png
  See Also:
    Constant Field Values

### IMG_TRK_MASK_64_64

    static final java.lang.String IMG_TRK_MASK_64_64

  File path: icons/TRK_Debug_Agent_64x64_Mask.png
  See Also:
    Constant Field Values

### IMG_TRK_64_64

    static final java.lang.String IMG_TRK_64_64

  File path: icons/TRK_Debug_Agent_64x64.png
  See Also:
    Constant Field Values

### IMG_UPDATE_PROJECT_16_16

    static final java.lang.String IMG_UPDATE_PROJECT_16_16

  File path: icons/Update_Project.png
  See Also:
    Constant Field Values

### IMG_USER_INCLUDES_16_16

    static final java.lang.String IMG_USER_INCLUDES_16_16

  File path: icons/User_Includes.png
  See Also:
    Constant Field Values

Method Detail

### getImage

    Image getImage(java.lang.String key)

  Access to a shared image object, do not dispose of these images.
  Parameters:
    `key` - one of the IMG_* image names defined in this class

### getImageDescriptor

    ImageDescriptor getImageDescriptor(java.lang.String key)

  Access to a shared image descriptor. The caller is responsible for disposing of any images created via this descriptor.
  Parameters:
    `key` - one of the IMG_* image names defined in this class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD